import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Progress } from './components/progress';
export var ProgressComponent = Intact.decorate(Progress, 'k-progress');
var components = [ProgressComponent];
var ProgressModule = /** @class */ (function () {
    function ProgressModule() {
    }
    ProgressModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], ProgressModule);
    return ProgressModule;
}());
export { ProgressModule };